import matplotlib.pyplot as plt
import numpy as np
import seaborn as sns
import pandas as pd

mpg = sns.load_dataset("mpg")

fn_filter = lambda x: True if x in [4, 6] else False
fn_mod = lambda x: {4: 'four', 6: 'six', 8: 'eight'}[x]
mpg_country = mpg[mpg["origin"] != "europe"]
mpg_demo = mpg_country[mpg_country['cylinders'].map(fn_filter)].copy()
mpg_demo['cylinders'] = mpg_demo['cylinders'].map(fn_mod)

color_scheme = {"four": "y", "six": "violet"}
color_order = ["six", "four"]

sns.violinplot(x="origin", y="mpg", hue="cylinders",
               hue_order=color_order, palette=color_scheme,
               split=True, data=mpg_demo)

plt.show()
